## org.hibernate.context.spi
Class AbstractCurrentSessionContext

    java.lang.Object
      org.hibernate.context.spi.AbstractCurrentSessionContext

All Implemented Interfaces:
  Serializable, CurrentSessionContext

Direct Known Subclasses:
  JTASessionContext, ManagedSessionContext, ThreadLocalSessionContext

    public abstract class AbstractCurrentSessionContext

extends Object
implements CurrentSessionContext

Base support for `CurrentSessionContext` implementors.

See Also:
  Serialized Form

Constructor Summary
`protected` `AbstractCurrentSessionContext(SessionFactoryImplementor factory)`

Method Summary
`protected SessionBuilder` `baseSessionBuilder()`
`SessionFactoryImplementor` `factory()`
`protected void` `validateExistingSession(Session existingSession)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.context.spi.CurrentSessionContext
`currentSession`

Constructor Detail

### AbstractCurrentSessionContext

    protected AbstractCurrentSessionContext(SessionFactoryImplementor factory)

Method Detail

### factory

    public SessionFactoryImplementor factory()

### baseSessionBuilder

    protected SessionBuilder baseSessionBuilder()

### validateExistingSession

    protected void validateExistingSession(Session existingSession)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.